# ulib/sysinfos

## `read_data`
## `dump_data`
## `compute_local_sysinfos`
## `compute_remote_sysinfos`
## `ensure_sysinfos`
~~~
Essayer de déterminer les valeurs des variables $1(=SYSNAME), $2(=SYSDIST)
et $3(=SYSVER) en fonction des valeurs des autres. Cette fonction est à
utiliser quand on récupère cette information de la part de l'utilisateur,
et qu'il faut compléter
~~~
## `dump_sysinfos`
~~~
Afficher les valeurs de SYSNAME, SYSDIST, SYSVER qui décrivent le système
actuel
~~~
## `get_sysinfos_desc`
~~~
Afficher une chaine de la forme SYSNAME/SYSDIST/SYSVER qui décrit le
système actuel
~~~
## `check_sysinfos`
~~~
Tester si le système courant ($MYSYSNAME, $MYSYSDIST, $MYSYSVER, $MYBITS)
correspond à au moins un des arguments.
Il est possible de spécifier des variables différentes pour tester le
système courant avec l'option --vars qui doit être spécifiée en premier:
check_sysinfos --vars sysname sysdist sysver bits -d debian
Les options -s, -d, -v, -b permettent respectivement de vérifier le
système, la distribution, la version et le nombre de bits. Il est possible
de spécifier plusieurs tests à effectuer, e.g.:
check_sysinfos -d debian ubuntu -b 64
pour tester si l'on est sur une distribution debian ou ubuntu *et* sur un
système 64 bits
Note: avec l'option --vars, il peut arriver que sysname, sysdist ou sysver
ne soient pas des tableaux mais des variables scalaires, surtout si elles
sont fournies par l'utilisateur. Il est conseillé dans ce cas de tester
toutes les possibilités quand on vérifie une valeur, e.g.:
check_sysinfos --vars sysname sysdist sysver bits -s linux64 linux32 linux
pour tester si on est sur un système linux
Avec l'option -v, il est possible de suffixer la valeur avec + ou - selon
que l'on veut toutes les versions situées après ou avant la version
spécifiée. Attention, à cause d'une limitation de l'implémentation, il
faut alors impérativement filtrer aussi sur la distribution, e.g:
check_sysinfo -d debian -v lenny+
pour tester si on est en lenny ou en squeeze.
De même, l'option -d accepte aussi de suffixer la valeur avec + ou -, mais
cela n'a actuellement de sens qu'avec les version de MacOS X. Il faut
aussi impérativement filtrer sur le système, e.g:
check_sysinfos -s macosx -d 10.5+
~~~
## `unsupported_system`
~~~
Afficher un message d'erreur indiquant que le système actuel n'est pas
supporté, et quitter le script
~~~
## `require_sysinfos`
~~~
Vérifier le système actuel avec check_sysinfos(), et afficher un message
d'erreur avec unsupported_system() s'il ne correspond pas à la requête
~~~
## `on_debian`
~~~
Tester si on est sur debian. charger le module debian si c'est le cas.
Si une commande $1..@ est spécifiée, la lancer, mais il n'est alors plus
possible de lancer des tests plus spécifiques avec __on_debian()
~~~
## `on_debian:`
## `on_stretch`
## `on_jessie`
## `on_wheezy`
## `on_squeeze`
## `on_default`

-*- coding: utf-8 mode: markdown -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8:noeol:binary